#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sun Oct 17 13:06:39 2021

@author: eriboulet
"""

# Diffraction par une fente

# Intensité lumineuse en un point M de l'écran : I
# Intensité lumineuse maximale : I0
# Longueur d'onde : l
# Largeur de la fente : a
# Distance fente/écran : D
# Position du point M sur l'écran (origine dans le plan médian de la fente) : x
# f(x) = I/I0 intensité relative

l = 632.8 # en nm (laser Hélium/Néon rouge)
a = 0.07 # en mm
D = 1.5 # en m

pseudoperiode = round(l*D/a*1e-4,2) # périodicité du motif (en cm)
print('pseudopériode =',pseudoperiode,'cm')

from numpy import *
import matplotlib.pyplot as plt

x=linspace(-5,5,500)

def f(x):
    return (sin(pi*a*x/l/D*1e4)/(pi*a*x/l/D*1e4))**2
plt.xlabel('x(cm)')
plt.ylabel('I/I0')
plt.plot(x,f(x))
plt.show()